]> andersk Git - libyaml.git/blame - tests/Makefile.in
New upstream version 0.2.2
[libyaml.git] / tests / Makefile.in
CommitLineData
5070705b 1# Makefile.in generated by automake 1.15.1 from Makefile.am.
b9668ba4
AK
2# @configure_input@
3
5070705b 4# Copyright (C) 1994-2017 Free Software Foundation, Inc.
0044e680 5
b9668ba4
AK
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
b9668ba4 17VPATH = @srcdir@
c45550e5
AK
18am__is_gnu_make = { \
19 if test -z '$(MAKELEVEL)'; then \
20 false; \
21 elif test -n '$(MAKE_HOST)'; then \
22 true; \
23 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24 true; \
25 else \
26 false; \
27 fi; \
28}
0044e680
AK
29am__make_running_with_option = \
30 case $${target_option-} in \
31 ?) ;; \
32 *) echo "am__make_running_with_option: internal error: invalid" \
33 "target option '$${target_option-}' specified" >&2; \
34 exit 1;; \
35 esac; \
36 has_opt=no; \
37 sane_makeflags=$$MAKEFLAGS; \
38 if $(am__is_gnu_make); then \
39 sane_makeflags=$$MFLAGS; \
40 else \
41 case $$MAKEFLAGS in \
42 *\\[\ \ ]*) \
43 bs=\\; \
44 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
46 esac; \
47 fi; \
48 skip_next=no; \
49 strip_trailopt () \
50 { \
51 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52 }; \
53 for flg in $$sane_makeflags; do \
54 test $$skip_next = yes && { skip_next=no; continue; }; \
55 case $$flg in \
56 *=*|--*) continue;; \
57 -*I) strip_trailopt 'I'; skip_next=yes;; \
58 -*I?*) strip_trailopt 'I';; \
59 -*O) strip_trailopt 'O'; skip_next=yes;; \
60 -*O?*) strip_trailopt 'O';; \
61 -*l) strip_trailopt 'l'; skip_next=yes;; \
62 -*l?*) strip_trailopt 'l';; \
63 -[dEDm]) skip_next=yes;; \
64 -[JT]) skip_next=yes;; \
65 esac; \
66 case $$flg in \
67 *$$target_option*) has_opt=yes; break;; \
68 esac; \
69 done; \
70 test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
b9668ba4 73pkgdatadir = $(datadir)/@PACKAGE@
b9668ba4 74pkgincludedir = $(includedir)/@PACKAGE@
0fbeb4dc
AK
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
b9668ba4 77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
b9668ba4
AK
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
5c706339 91TESTS = test-version$(EXEEXT) test-reader$(EXEEXT)
b9668ba4
AK
92check_PROGRAMS = test-version$(EXEEXT) test-reader$(EXEEXT)
93noinst_PROGRAMS = run-scanner$(EXEEXT) run-parser$(EXEEXT) \
94 run-loader$(EXEEXT) run-emitter$(EXEEXT) run-dumper$(EXEEXT) \
95 example-reformatter$(EXEEXT) example-reformatter-alt$(EXEEXT) \
96 example-deconstructor$(EXEEXT) \
c45550e5
AK
97 example-deconstructor-alt$(EXEEXT) \
98 run-parser-test-suite$(EXEEXT) run-emitter-test-suite$(EXEEXT)
b9668ba4 99subdir = tests
b9668ba4
AK
100ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
101am__aclocal_m4_deps = $(top_srcdir)/configure.ac
102am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
103 $(ACLOCAL_M4)
c45550e5 104DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
b9668ba4 105mkinstalldirs = $(install_sh) -d
5070705b 106CONFIG_HEADER = $(top_builddir)/include/config.h
b9668ba4 107CONFIG_CLEAN_FILES =
0fbeb4dc 108CONFIG_CLEAN_VPATH_FILES =
b9668ba4
AK
109PROGRAMS = $(noinst_PROGRAMS)
110example_deconstructor_SOURCES = example-deconstructor.c
111example_deconstructor_OBJECTS = example-deconstructor.$(OBJEXT)
112example_deconstructor_LDADD = $(LDADD)
113example_deconstructor_DEPENDENCIES = $(top_builddir)/src/libyaml.la
0044e680
AK
114AM_V_lt = $(am__v_lt_@AM_V@)
115am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
116am__v_lt_0 = --silent
117am__v_lt_1 =
b9668ba4
AK
118example_deconstructor_alt_SOURCES = example-deconstructor-alt.c
119example_deconstructor_alt_OBJECTS = \
120 example-deconstructor-alt.$(OBJEXT)
121example_deconstructor_alt_LDADD = $(LDADD)
122example_deconstructor_alt_DEPENDENCIES = \
123 $(top_builddir)/src/libyaml.la
124example_reformatter_SOURCES = example-reformatter.c
125example_reformatter_OBJECTS = example-reformatter.$(OBJEXT)
126example_reformatter_LDADD = $(LDADD)
127example_reformatter_DEPENDENCIES = $(top_builddir)/src/libyaml.la
128example_reformatter_alt_SOURCES = example-reformatter-alt.c
129example_reformatter_alt_OBJECTS = example-reformatter-alt.$(OBJEXT)
130example_reformatter_alt_LDADD = $(LDADD)
131example_reformatter_alt_DEPENDENCIES = $(top_builddir)/src/libyaml.la
132run_dumper_SOURCES = run-dumper.c
133run_dumper_OBJECTS = run-dumper.$(OBJEXT)
134run_dumper_LDADD = $(LDADD)
135run_dumper_DEPENDENCIES = $(top_builddir)/src/libyaml.la
136run_emitter_SOURCES = run-emitter.c
137run_emitter_OBJECTS = run-emitter.$(OBJEXT)
138run_emitter_LDADD = $(LDADD)
139run_emitter_DEPENDENCIES = $(top_builddir)/src/libyaml.la
c45550e5
AK
140run_emitter_test_suite_SOURCES = run-emitter-test-suite.c
141run_emitter_test_suite_OBJECTS = run-emitter-test-suite.$(OBJEXT)
142run_emitter_test_suite_LDADD = $(LDADD)
143run_emitter_test_suite_DEPENDENCIES = $(top_builddir)/src/libyaml.la
b9668ba4
AK
144run_loader_SOURCES = run-loader.c
145run_loader_OBJECTS = run-loader.$(OBJEXT)
146run_loader_LDADD = $(LDADD)
147run_loader_DEPENDENCIES = $(top_builddir)/src/libyaml.la
148run_parser_SOURCES = run-parser.c
149run_parser_OBJECTS = run-parser.$(OBJEXT)
150run_parser_LDADD = $(LDADD)
151run_parser_DEPENDENCIES = $(top_builddir)/src/libyaml.la
c45550e5
AK
152run_parser_test_suite_SOURCES = run-parser-test-suite.c
153run_parser_test_suite_OBJECTS = run-parser-test-suite.$(OBJEXT)
154run_parser_test_suite_LDADD = $(LDADD)
155run_parser_test_suite_DEPENDENCIES = $(top_builddir)/src/libyaml.la
b9668ba4
AK
156run_scanner_SOURCES = run-scanner.c
157run_scanner_OBJECTS = run-scanner.$(OBJEXT)
158run_scanner_LDADD = $(LDADD)
159run_scanner_DEPENDENCIES = $(top_builddir)/src/libyaml.la
160test_reader_SOURCES = test-reader.c
161test_reader_OBJECTS = test-reader.$(OBJEXT)
162test_reader_LDADD = $(LDADD)
163test_reader_DEPENDENCIES = $(top_builddir)/src/libyaml.la
164test_version_SOURCES = test-version.c
165test_version_OBJECTS = test-version.$(OBJEXT)
166test_version_LDADD = $(LDADD)
167test_version_DEPENDENCIES = $(top_builddir)/src/libyaml.la
0044e680
AK
168AM_V_P = $(am__v_P_@AM_V@)
169am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
170am__v_P_0 = false
171am__v_P_1 = :
172AM_V_GEN = $(am__v_GEN_@AM_V@)
173am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
174am__v_GEN_0 = @echo " GEN " $@;
175am__v_GEN_1 =
176AM_V_at = $(am__v_at_@AM_V@)
177am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
178am__v_at_0 = @
179am__v_at_1 =
5070705b 180DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/include
b9668ba4
AK
181depcomp = $(SHELL) $(top_srcdir)/config/depcomp
182am__depfiles_maybe = depfiles
0fbeb4dc 183am__mv = mv -f
b9668ba4
AK
184COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
185 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
0044e680
AK
186LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
187 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
188 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
189 $(AM_CFLAGS) $(CFLAGS)
190AM_V_CC = $(am__v_CC_@AM_V@)
191am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
192am__v_CC_0 = @echo " CC " $@;
193am__v_CC_1 =
b9668ba4 194CCLD = $(CC)
0044e680
AK
195LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
196 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
197 $(AM_LDFLAGS) $(LDFLAGS) -o $@
198AM_V_CCLD = $(am__v_CCLD_@AM_V@)
199am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
200am__v_CCLD_0 = @echo " CCLD " $@;
201am__v_CCLD_1 =
b9668ba4
AK
202SOURCES = example-deconstructor.c example-deconstructor-alt.c \
203 example-reformatter.c example-reformatter-alt.c run-dumper.c \
c45550e5
AK
204 run-emitter.c run-emitter-test-suite.c run-loader.c \
205 run-parser.c run-parser-test-suite.c run-scanner.c \
b9668ba4
AK
206 test-reader.c test-version.c
207DIST_SOURCES = example-deconstructor.c example-deconstructor-alt.c \
208 example-reformatter.c example-reformatter-alt.c run-dumper.c \
c45550e5
AK
209 run-emitter.c run-emitter-test-suite.c run-loader.c \
210 run-parser.c run-parser-test-suite.c run-scanner.c \
b9668ba4 211 test-reader.c test-version.c
0044e680
AK
212am__can_run_installinfo = \
213 case $$AM_UPDATE_INFO_DIR in \
214 n|no|NO) false;; \
215 *) (install-info --version) >/dev/null 2>&1;; \
216 esac
217am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
218# Read a list of newline-separated strings from the standard input,
219# and print each of them once, without duplicates. Input order is
220# *not* preserved.
221am__uniquify_input = $(AWK) '\
222 BEGIN { nonempty = 0; } \
223 { items[$$0] = 1; nonempty = 1; } \
224 END { if (nonempty) { for (i in items) print i; }; } \
225'
226# Make sure the list of sources is unique. This is necessary because,
227# e.g., the same source file might be shared among _SOURCES variables
228# for different programs/libraries.
229am__define_uniq_tagged_files = \
230 list='$(am__tagged_files)'; \
231 unique=`for i in $$list; do \
232 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
233 done | $(am__uniquify_input)`
b9668ba4
AK
234ETAGS = etags
235CTAGS = ctags
0044e680
AK
236am__tty_colors_dummy = \
237 mgn= red= grn= lgn= blu= brg= std=; \
238 am__color_tests=no
239am__tty_colors = { \
240 $(am__tty_colors_dummy); \
241 if test "X$(AM_COLOR_TESTS)" = Xno; then \
242 am__color_tests=no; \
243 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
244 am__color_tests=yes; \
245 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
246 am__color_tests=yes; \
247 fi; \
248 if test $$am__color_tests = yes; then \
249 red='\e[0;31m'; \
250 grn='\e[0;32m'; \
251 lgn='\e[1;32m'; \
252 blu='\e[1;34m'; \
253 mgn='\e[0;35m'; \
254 brg='\e[1m'; \
255 std='\e[m'; \
256 fi; \
257}
258am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
259am__vpath_adj = case $$p in \
260 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
261 *) f=$$p;; \
262 esac;
263am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
264am__install_max = 40
265am__nobase_strip_setup = \
266 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
267am__nobase_strip = \
268 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
269am__nobase_list = $(am__nobase_strip_setup); \
270 for p in $$list; do echo "$$p $$p"; done | \
271 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
272 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
273 if (++n[$$2] == $(am__install_max)) \
274 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
275 END { for (dir in files) print dir, files[dir] }'
276am__base_list = \
277 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
278 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
279am__uninstall_files_from_dir = { \
280 test -z "$$files" \
281 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
282 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
283 $(am__cd) "$$dir" && rm -f $$files; }; \
284 }
285am__recheck_rx = ^[ ]*:recheck:[ ]*
286am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
287am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
288# A command that, given a newline-separated list of test names on the
289# standard input, print the name of the tests that are to be re-run
290# upon "make recheck".
291am__list_recheck_tests = $(AWK) '{ \
292 recheck = 1; \
293 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
294 { \
295 if (rc < 0) \
296 { \
297 if ((getline line2 < ($$0 ".log")) < 0) \
298 recheck = 0; \
299 break; \
300 } \
301 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
302 { \
303 recheck = 0; \
304 break; \
305 } \
306 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
307 { \
308 break; \
309 } \
310 }; \
311 if (recheck) \
312 print $$0; \
313 close ($$0 ".trs"); \
314 close ($$0 ".log"); \
315}'
316# A command that, given a newline-separated list of test names on the
317# standard input, create the global log from their .trs and .log files.
318am__create_global_log = $(AWK) ' \
319function fatal(msg) \
320{ \
321 print "fatal: making $@: " msg | "cat >&2"; \
322 exit 1; \
323} \
324function rst_section(header) \
325{ \
326 print header; \
327 len = length(header); \
328 for (i = 1; i <= len; i = i + 1) \
329 printf "="; \
330 printf "\n\n"; \
331} \
332{ \
333 copy_in_global_log = 1; \
334 global_test_result = "RUN"; \
335 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
336 { \
337 if (rc < 0) \
338 fatal("failed to read from " $$0 ".trs"); \
339 if (line ~ /$(am__global_test_result_rx)/) \
340 { \
341 sub("$(am__global_test_result_rx)", "", line); \
342 sub("[ ]*$$", "", line); \
343 global_test_result = line; \
344 } \
345 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
346 copy_in_global_log = 0; \
347 }; \
348 if (copy_in_global_log) \
349 { \
350 rst_section(global_test_result ": " $$0); \
351 while ((rc = (getline line < ($$0 ".log"))) != 0) \
352 { \
353 if (rc < 0) \
354 fatal("failed to read from " $$0 ".log"); \
355 print line; \
356 }; \
357 printf "\n"; \
358 }; \
359 close ($$0 ".trs"); \
360 close ($$0 ".log"); \
361}'
362# Restructured Text title.
363am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
364# Solaris 10 'make', and several other traditional 'make' implementations,
365# pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
366# by disabling -e (using the XSI extension "set +e") if it's set.
367am__sh_e_setup = case $$- in *e*) set +e;; esac
368# Default flags passed to test drivers.
369am__common_driver_flags = \
370 --color-tests "$$am__color_tests" \
371 --enable-hard-errors "$$am__enable_hard_errors" \
372 --expect-failure "$$am__expect_failure"
373# To be inserted before the command running the test. Creates the
374# directory for the log if needed. Stores in $dir the directory
375# containing $f, in $tst the test, in $log the log. Executes the
376# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
377# passes TESTS_ENVIRONMENT. Set up options for the wrapper that
378# will run the test scripts (or their associated LOG_COMPILER, if
379# thy have one).
380am__check_pre = \
381$(am__sh_e_setup); \
382$(am__vpath_adj_setup) $(am__vpath_adj) \
383$(am__tty_colors); \
384srcdir=$(srcdir); export srcdir; \
385case "$@" in \
386 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
387 *) am__odir=.;; \
388esac; \
389test "x$$am__odir" = x"." || test -d "$$am__odir" \
390 || $(MKDIR_P) "$$am__odir" || exit $$?; \
391if test -f "./$$f"; then dir=./; \
392elif test -f "$$f"; then dir=; \
393else dir="$(srcdir)/"; fi; \
394tst=$$dir$$f; log='$@'; \
395if test -n '$(DISABLE_HARD_ERRORS)'; then \
396 am__enable_hard_errors=no; \
397else \
398 am__enable_hard_errors=yes; \
399fi; \
400case " $(XFAIL_TESTS) " in \
401 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
402 am__expect_failure=yes;; \
403 *) \
404 am__expect_failure=no;; \
405esac; \
406$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
407# A shell command to get the names of the tests scripts with any registered
408# extension removed (i.e., equivalently, the names of the test logs, with
409# the '.log' extension removed). The result is saved in the shell variable
410# '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
411# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
412# since that might cause problem with VPATH rewrites for suffix-less tests.
413# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
414am__set_TESTS_bases = \
415 bases='$(TEST_LOGS)'; \
416 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
417 bases=`echo $$bases`
418RECHECK_LOGS = $(TEST_LOGS)
419AM_RECURSIVE_TARGETS = check recheck
420TEST_SUITE_LOG = test-suite.log
421TEST_EXTENSIONS = @EXEEXT@ .test
422LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
423LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
424am__set_b = \
425 case '$@' in \
426 */*) \
427 case '$*' in \
428 */*) b='$*';; \
429 *) b=`echo '$@' | sed 's/\.log$$//'`; \
430 esac;; \
431 *) \
432 b='$*';; \
433 esac
434am__test_logs1 = $(TESTS:=.log)
435am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
436TEST_LOGS = $(am__test_logs2:.test.log=.log)
437TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
438TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
439 $(TEST_LOG_FLAGS)
c45550e5
AK
440am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp \
441 $(top_srcdir)/config/test-driver
b9668ba4
AK
442DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
443ACLOCAL = @ACLOCAL@
b9668ba4 444AMTAR = @AMTAR@
0044e680 445AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
b9668ba4
AK
446AR = @AR@
447AUTOCONF = @AUTOCONF@
448AUTOHEADER = @AUTOHEADER@
449AUTOMAKE = @AUTOMAKE@
450AWK = @AWK@
451CC = @CC@
452CCDEPMODE = @CCDEPMODE@
453CFLAGS = @CFLAGS@
454CPP = @CPP@
455CPPFLAGS = @CPPFLAGS@
b9668ba4
AK
456CYGPATH_W = @CYGPATH_W@
457DEFS = @DEFS@
458DEPDIR = @DEPDIR@
059850b5 459DLLTOOL = @DLLTOOL@
b9668ba4 460DOXYGEN = @DOXYGEN@
5c706339
AK
461DSYMUTIL = @DSYMUTIL@
462DUMPBIN = @DUMPBIN@
b9668ba4
AK
463ECHO_C = @ECHO_C@
464ECHO_N = @ECHO_N@
465ECHO_T = @ECHO_T@
466EGREP = @EGREP@
467EXEEXT = @EXEEXT@
5c706339 468FGREP = @FGREP@
b9668ba4 469GREP = @GREP@
5c706339 470INSTALL = @INSTALL@
b9668ba4
AK
471INSTALL_DATA = @INSTALL_DATA@
472INSTALL_PROGRAM = @INSTALL_PROGRAM@
473INSTALL_SCRIPT = @INSTALL_SCRIPT@
474INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
5c706339 475LD = @LD@
b9668ba4
AK
476LDFLAGS = @LDFLAGS@
477LIBOBJS = @LIBOBJS@
478LIBS = @LIBS@
479LIBTOOL = @LIBTOOL@
5c706339 480LIPO = @LIPO@
b9668ba4
AK
481LN_S = @LN_S@
482LTLIBOBJS = @LTLIBOBJS@
c45550e5 483LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
b9668ba4 484MAKEINFO = @MAKEINFO@
059850b5 485MANIFEST_TOOL = @MANIFEST_TOOL@
5c706339
AK
486MKDIR_P = @MKDIR_P@
487NM = @NM@
488NMEDIT = @NMEDIT@
47dc80f6 489OBJDUMP = @OBJDUMP@
b9668ba4 490OBJEXT = @OBJEXT@
5c706339
AK
491OTOOL = @OTOOL@
492OTOOL64 = @OTOOL64@
b9668ba4
AK
493PACKAGE = @PACKAGE@
494PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
495PACKAGE_NAME = @PACKAGE_NAME@
496PACKAGE_STRING = @PACKAGE_STRING@
497PACKAGE_TARNAME = @PACKAGE_TARNAME@
0fbeb4dc 498PACKAGE_URL = @PACKAGE_URL@
b9668ba4
AK
499PACKAGE_VERSION = @PACKAGE_VERSION@
500PATH_SEPARATOR = @PATH_SEPARATOR@
501RANLIB = @RANLIB@
5c706339 502SED = @SED@
b9668ba4
AK
503SET_MAKE = @SET_MAKE@
504SHELL = @SHELL@
505STRIP = @STRIP@
506VERSION = @VERSION@
507YAML_LT_AGE = @YAML_LT_AGE@
508YAML_LT_CURRENT = @YAML_LT_CURRENT@
509YAML_LT_RELEASE = @YAML_LT_RELEASE@
510YAML_LT_REVISION = @YAML_LT_REVISION@
5c706339
AK
511abs_builddir = @abs_builddir@
512abs_srcdir = @abs_srcdir@
513abs_top_builddir = @abs_top_builddir@
514abs_top_srcdir = @abs_top_srcdir@
059850b5 515ac_ct_AR = @ac_ct_AR@
b9668ba4 516ac_ct_CC = @ac_ct_CC@
5c706339 517ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
b9668ba4
AK
518am__include = @am__include@
519am__leading_dot = @am__leading_dot@
520am__quote = @am__quote@
521am__tar = @am__tar@
522am__untar = @am__untar@
523bindir = @bindir@
524build = @build@
525build_alias = @build_alias@
526build_cpu = @build_cpu@
527build_os = @build_os@
528build_vendor = @build_vendor@
5c706339 529builddir = @builddir@
b9668ba4
AK
530datadir = @datadir@
531datarootdir = @datarootdir@
532docdir = @docdir@
533dvidir = @dvidir@
534exec_prefix = @exec_prefix@
535host = @host@
536host_alias = @host_alias@
537host_cpu = @host_cpu@
538host_os = @host_os@
539host_vendor = @host_vendor@
540htmldir = @htmldir@
541includedir = @includedir@
542infodir = @infodir@
543install_sh = @install_sh@
544libdir = @libdir@
545libexecdir = @libexecdir@
546localedir = @localedir@
547localstatedir = @localstatedir@
548mandir = @mandir@
549mkdir_p = @mkdir_p@
550oldincludedir = @oldincludedir@
551pdfdir = @pdfdir@
552prefix = @prefix@
553program_transform_name = @program_transform_name@
554psdir = @psdir@
5070705b 555runstatedir = @runstatedir@
b9668ba4
AK
556sbindir = @sbindir@
557sharedstatedir = @sharedstatedir@
5c706339 558srcdir = @srcdir@
b9668ba4
AK
559sysconfdir = @sysconfdir@
560target_alias = @target_alias@
47dc80f6 561top_build_prefix = @top_build_prefix@
5c706339
AK
562top_builddir = @top_builddir@
563top_srcdir = @top_srcdir@
c45550e5 564AM_CPPFLAGS = -I$(top_srcdir)/include -Wall
b9668ba4
AK
565#AM_CFLAGS = -Wno-pointer-sign
566LDADD = $(top_builddir)/src/libyaml.la
b9668ba4
AK
567all: all-am
568
569.SUFFIXES:
0044e680 570.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
b9668ba4
AK
571$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
572 @for dep in $?; do \
573 case '$(am__configure_deps)' in \
574 *$$dep*) \
47dc80f6
AK
575 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
576 && { if test -f $@; then exit 0; else break; fi; }; \
b9668ba4
AK
577 exit 1;; \
578 esac; \
579 done; \
0fbeb4dc
AK
580 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
581 $(am__cd) $(top_srcdir) && \
582 $(AUTOMAKE) --foreign tests/Makefile
b9668ba4
AK
583Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
584 @case '$?' in \
585 *config.status*) \
586 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
587 *) \
588 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
589 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
590 esac;
591
592$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
593 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
594
595$(top_srcdir)/configure: $(am__configure_deps)
596 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
597$(ACLOCAL_M4): $(am__aclocal_m4_deps)
598 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
0fbeb4dc 599$(am__aclocal_m4_deps):
b9668ba4
AK
600
601clean-checkPROGRAMS:
0fbeb4dc
AK
602 @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
603 echo " rm -f" $$list; \
604 rm -f $$list || exit $$?; \
605 test -n "$(EXEEXT)" || exit 0; \
606 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
607 echo " rm -f" $$list; \
608 rm -f $$list
b9668ba4
AK
609
610clean-noinstPROGRAMS:
0fbeb4dc
AK
611 @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
612 echo " rm -f" $$list; \
613 rm -f $$list || exit $$?; \
614 test -n "$(EXEEXT)" || exit 0; \
615 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
616 echo " rm -f" $$list; \
617 rm -f $$list
0044e680 618
059850b5 619example-deconstructor$(EXEEXT): $(example_deconstructor_OBJECTS) $(example_deconstructor_DEPENDENCIES) $(EXTRA_example_deconstructor_DEPENDENCIES)
b9668ba4 620 @rm -f example-deconstructor$(EXEEXT)
0044e680
AK
621 $(AM_V_CCLD)$(LINK) $(example_deconstructor_OBJECTS) $(example_deconstructor_LDADD) $(LIBS)
622
059850b5 623example-deconstructor-alt$(EXEEXT): $(example_deconstructor_alt_OBJECTS) $(example_deconstructor_alt_DEPENDENCIES) $(EXTRA_example_deconstructor_alt_DEPENDENCIES)
b9668ba4 624 @rm -f example-deconstructor-alt$(EXEEXT)
0044e680
AK
625 $(AM_V_CCLD)$(LINK) $(example_deconstructor_alt_OBJECTS) $(example_deconstructor_alt_LDADD) $(LIBS)
626
059850b5 627example-reformatter$(EXEEXT): $(example_reformatter_OBJECTS) $(example_reformatter_DEPENDENCIES) $(EXTRA_example_reformatter_DEPENDENCIES)
b9668ba4 628 @rm -f example-reformatter$(EXEEXT)
0044e680
AK
629 $(AM_V_CCLD)$(LINK) $(example_reformatter_OBJECTS) $(example_reformatter_LDADD) $(LIBS)
630
059850b5 631example-reformatter-alt$(EXEEXT): $(example_reformatter_alt_OBJECTS) $(example_reformatter_alt_DEPENDENCIES) $(EXTRA_example_reformatter_alt_DEPENDENCIES)
b9668ba4 632 @rm -f example-reformatter-alt$(EXEEXT)
0044e680
AK
633 $(AM_V_CCLD)$(LINK) $(example_reformatter_alt_OBJECTS) $(example_reformatter_alt_LDADD) $(LIBS)
634
059850b5 635run-dumper$(EXEEXT): $(run_dumper_OBJECTS) $(run_dumper_DEPENDENCIES) $(EXTRA_run_dumper_DEPENDENCIES)
b9668ba4 636 @rm -f run-dumper$(EXEEXT)
0044e680
AK
637 $(AM_V_CCLD)$(LINK) $(run_dumper_OBJECTS) $(run_dumper_LDADD) $(LIBS)
638
059850b5 639run-emitter$(EXEEXT): $(run_emitter_OBJECTS) $(run_emitter_DEPENDENCIES) $(EXTRA_run_emitter_DEPENDENCIES)
b9668ba4 640 @rm -f run-emitter$(EXEEXT)
0044e680
AK
641 $(AM_V_CCLD)$(LINK) $(run_emitter_OBJECTS) $(run_emitter_LDADD) $(LIBS)
642
c45550e5
AK
643run-emitter-test-suite$(EXEEXT): $(run_emitter_test_suite_OBJECTS) $(run_emitter_test_suite_DEPENDENCIES) $(EXTRA_run_emitter_test_suite_DEPENDENCIES)
644 @rm -f run-emitter-test-suite$(EXEEXT)
645 $(AM_V_CCLD)$(LINK) $(run_emitter_test_suite_OBJECTS) $(run_emitter_test_suite_LDADD) $(LIBS)
646
059850b5 647run-loader$(EXEEXT): $(run_loader_OBJECTS) $(run_loader_DEPENDENCIES) $(EXTRA_run_loader_DEPENDENCIES)
b9668ba4 648 @rm -f run-loader$(EXEEXT)
0044e680
AK
649 $(AM_V_CCLD)$(LINK) $(run_loader_OBJECTS) $(run_loader_LDADD) $(LIBS)
650
059850b5 651run-parser$(EXEEXT): $(run_parser_OBJECTS) $(run_parser_DEPENDENCIES) $(EXTRA_run_parser_DEPENDENCIES)
b9668ba4 652 @rm -f run-parser$(EXEEXT)
0044e680
AK
653 $(AM_V_CCLD)$(LINK) $(run_parser_OBJECTS) $(run_parser_LDADD) $(LIBS)
654
c45550e5
AK
655run-parser-test-suite$(EXEEXT): $(run_parser_test_suite_OBJECTS) $(run_parser_test_suite_DEPENDENCIES) $(EXTRA_run_parser_test_suite_DEPENDENCIES)
656 @rm -f run-parser-test-suite$(EXEEXT)
657 $(AM_V_CCLD)$(LINK) $(run_parser_test_suite_OBJECTS) $(run_parser_test_suite_LDADD) $(LIBS)
658
059850b5 659run-scanner$(EXEEXT): $(run_scanner_OBJECTS) $(run_scanner_DEPENDENCIES) $(EXTRA_run_scanner_DEPENDENCIES)
b9668ba4 660 @rm -f run-scanner$(EXEEXT)
0044e680
AK
661 $(AM_V_CCLD)$(LINK) $(run_scanner_OBJECTS) $(run_scanner_LDADD) $(LIBS)
662
059850b5 663test-reader$(EXEEXT): $(test_reader_OBJECTS) $(test_reader_DEPENDENCIES) $(EXTRA_test_reader_DEPENDENCIES)
b9668ba4 664 @rm -f test-reader$(EXEEXT)
0044e680
AK
665 $(AM_V_CCLD)$(LINK) $(test_reader_OBJECTS) $(test_reader_LDADD) $(LIBS)
666
059850b5 667test-version$(EXEEXT): $(test_version_OBJECTS) $(test_version_DEPENDENCIES) $(EXTRA_test_version_DEPENDENCIES)
b9668ba4 668 @rm -f test-version$(EXEEXT)
0044e680 669 $(AM_V_CCLD)$(LINK) $(test_version_OBJECTS) $(test_version_LDADD) $(LIBS)
b9668ba4
AK
670
671mostlyclean-compile:
672 -rm -f *.$(OBJEXT)
673
674distclean-compile:
675 -rm -f *.tab.c
676
677@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/example-deconstructor-alt.Po@am__quote@
678@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/example-deconstructor.Po@am__quote@
679@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/example-reformatter-alt.Po@am__quote@
680@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/example-reformatter.Po@am__quote@
681@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-dumper.Po@am__quote@
c45550e5 682@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-emitter-test-suite.Po@am__quote@
b9668ba4
AK
683@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-emitter.Po@am__quote@
684@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-loader.Po@am__quote@
c45550e5 685@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-parser-test-suite.Po@am__quote@
b9668ba4
AK
686@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-parser.Po@am__quote@
687@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-scanner.Po@am__quote@
688@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-reader.Po@am__quote@
689@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-version.Po@am__quote@
690
691.c.o:
0044e680
AK
692@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
693@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
694@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
b9668ba4 695@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
0044e680 696@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
b9668ba4
AK
697
698.c.obj:
0044e680
AK
699@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
700@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
701@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
b9668ba4 702@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
0044e680 703@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
b9668ba4
AK
704
705.c.lo:
0044e680
AK
706@am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
707@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
708@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
b9668ba4 709@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
0044e680 710@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
b9668ba4
AK
711
712mostlyclean-libtool:
713 -rm -f *.lo
714
715clean-libtool:
716 -rm -rf .libs _libs
717
0044e680
AK
718ID: $(am__tagged_files)
719 $(am__define_uniq_tagged_files); mkid -fID $$unique
720tags: tags-am
721TAGS: tags
722
723tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
0fbeb4dc 724 set x; \
b9668ba4 725 here=`pwd`; \
0044e680 726 $(am__define_uniq_tagged_files); \
0fbeb4dc
AK
727 shift; \
728 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
b9668ba4 729 test -n "$$unique" || unique=$$empty_fix; \
0fbeb4dc
AK
730 if test $$# -gt 0; then \
731 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
732 "$$@" $$unique; \
733 else \
734 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
735 $$unique; \
736 fi; \
b9668ba4 737 fi
0044e680
AK
738ctags: ctags-am
739
740CTAGS: ctags
741ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
742 $(am__define_uniq_tagged_files); \
0fbeb4dc 743 test -z "$(CTAGS_ARGS)$$unique" \
b9668ba4 744 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
0fbeb4dc 745 $$unique
b9668ba4
AK
746
747GTAGS:
748 here=`$(am__cd) $(top_builddir) && pwd` \
0fbeb4dc
AK
749 && $(am__cd) $(top_srcdir) \
750 && gtags -i $(GTAGS_ARGS) "$$here"
0044e680
AK
751cscopelist: cscopelist-am
752
753cscopelist-am: $(am__tagged_files)
754 list='$(am__tagged_files)'; \
755 case "$(srcdir)" in \
756 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
757 *) sdir=$(subdir)/$(srcdir) ;; \
758 esac; \
759 for i in $$list; do \
760 if test -f "$$i"; then \
761 echo "$(subdir)/$$i"; \
762 else \
763 echo "$$sdir/$$i"; \
764 fi; \
765 done >> $(top_builddir)/cscope.files
b9668ba4
AK
766
767distclean-tags:
768 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
769
0044e680
AK
770# Recover from deleted '.trs' file; this should ensure that
771# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
772# both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
773# to avoid problems with "make -n".
774.log.trs:
775 rm -f $< $@
776 $(MAKE) $(AM_MAKEFLAGS) $<
777
778# Leading 'am--fnord' is there to ensure the list of targets does not
779# expand to empty, as could happen e.g. with make check TESTS=''.
780am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
781am--force-recheck:
782 @:
783
784$(TEST_SUITE_LOG): $(TEST_LOGS)
785 @$(am__set_TESTS_bases); \
786 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
787 redo_bases=`for i in $$bases; do \
788 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
789 done`; \
790 if test -n "$$redo_bases"; then \
791 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
792 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
793 if $(am__make_dryrun); then :; else \
794 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
47dc80f6 795 fi; \
0044e680
AK
796 fi; \
797 if test -n "$$am__remaking_logs"; then \
798 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
799 "recursion detected" >&2; \
c45550e5 800 elif test -n "$$redo_logs"; then \
0044e680
AK
801 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
802 fi; \
803 if $(am__make_dryrun); then :; else \
804 st=0; \
805 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
806 for i in $$redo_bases; do \
807 test -f $$i.trs && test -r $$i.trs \
808 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
809 test -f $$i.log && test -r $$i.log \
810 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
811 done; \
812 test $$st -eq 0 || exit 1; \
813 fi
814 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
815 ws='[ ]'; \
816 results=`for b in $$bases; do echo $$b.trs; done`; \
817 test -n "$$results" || results=/dev/null; \
818 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
819 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
820 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
821 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
822 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
823 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
824 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
825 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
826 success=true; \
827 else \
828 success=false; \
829 fi; \
830 br='==================='; br=$$br$$br$$br$$br; \
831 result_count () \
832 { \
833 if test x"$$1" = x"--maybe-color"; then \
834 maybe_colorize=yes; \
835 elif test x"$$1" = x"--no-color"; then \
836 maybe_colorize=no; \
b9668ba4 837 else \
0044e680 838 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
b9668ba4 839 fi; \
0044e680
AK
840 shift; \
841 desc=$$1 count=$$2; \
842 if test $$maybe_colorize = yes && test $$count -gt 0; then \
843 color_start=$$3 color_end=$$std; \
47dc80f6 844 else \
0044e680 845 color_start= color_end=; \
47dc80f6 846 fi; \
0044e680
AK
847 echo "$${color_start}# $$desc $$count$${color_end}"; \
848 }; \
849 create_testsuite_report () \
850 { \
851 result_count $$1 "TOTAL:" $$all "$$brg"; \
852 result_count $$1 "PASS: " $$pass "$$grn"; \
853 result_count $$1 "SKIP: " $$skip "$$blu"; \
854 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
855 result_count $$1 "FAIL: " $$fail "$$red"; \
856 result_count $$1 "XPASS:" $$xpass "$$red"; \
857 result_count $$1 "ERROR:" $$error "$$mgn"; \
858 }; \
859 { \
860 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
861 $(am__rst_title); \
862 create_testsuite_report --no-color; \
863 echo; \
864 echo ".. contents:: :depth: 2"; \
865 echo; \
866 for b in $$bases; do echo $$b; done \
867 | $(am__create_global_log); \
868 } >$(TEST_SUITE_LOG).tmp || exit 1; \
869 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
870 if $$success; then \
871 col="$$grn"; \
872 else \
873 col="$$red"; \
874 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
875 fi; \
876 echo "$${col}$$br$${std}"; \
877 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
878 echo "$${col}$$br$${std}"; \
879 create_testsuite_report --maybe-color; \
880 echo "$$col$$br$$std"; \
881 if $$success; then :; else \
882 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
883 if test -n "$(PACKAGE_BUGREPORT)"; then \
884 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
885 fi; \
886 echo "$$col$$br$$std"; \
887 fi; \
888 $$success || exit 1
889
890check-TESTS:
891 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
892 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
893 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
894 @set +e; $(am__set_TESTS_bases); \
895 log_list=`for i in $$bases; do echo $$i.log; done`; \
896 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
897 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
898 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
899 exit $$?;
900recheck: all $(check_PROGRAMS)
901 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
902 @set +e; $(am__set_TESTS_bases); \
903 bases=`for i in $$bases; do echo $$i; done \
904 | $(am__list_recheck_tests)` || exit 1; \
905 log_list=`for i in $$bases; do echo $$i.log; done`; \
906 log_list=`echo $$log_list`; \
907 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
908 am__force_recheck=am--force-recheck \
909 TEST_LOGS="$$log_list"; \
910 exit $$?
911test-version.log: test-version$(EXEEXT)
912 @p='test-version$(EXEEXT)'; \
913 b='test-version'; \
914 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
915 --log-file $$b.log --trs-file $$b.trs \
916 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
917 "$$tst" $(AM_TESTS_FD_REDIRECT)
918test-reader.log: test-reader$(EXEEXT)
919 @p='test-reader$(EXEEXT)'; \
920 b='test-reader'; \
921 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
922 --log-file $$b.log --trs-file $$b.trs \
923 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
924 "$$tst" $(AM_TESTS_FD_REDIRECT)
925.test.log:
926 @p='$<'; \
927 $(am__set_b); \
928 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
929 --log-file $$b.log --trs-file $$b.trs \
930 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
931 "$$tst" $(AM_TESTS_FD_REDIRECT)
932@am__EXEEXT_TRUE@.test$(EXEEXT).log:
933@am__EXEEXT_TRUE@ @p='$<'; \
934@am__EXEEXT_TRUE@ $(am__set_b); \
935@am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
936@am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
937@am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
938@am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
b9668ba4
AK
939
940distdir: $(DISTFILES)
5c706339
AK
941 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
942 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
943 list='$(DISTFILES)'; \
944 dist_files=`for file in $$list; do echo $$file; done | \
945 sed -e "s|^$$srcdirstrip/||;t" \
946 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
947 case $$dist_files in \
948 */*) $(MKDIR_P) `echo "$$dist_files" | \
949 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
950 sort -u` ;; \
951 esac; \
952 for file in $$dist_files; do \
b9668ba4 953 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
b9668ba4 954 if test -d $$d/$$file; then \
5c706339 955 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
0fbeb4dc
AK
956 if test -d "$(distdir)/$$file"; then \
957 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
958 fi; \
b9668ba4 959 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
0fbeb4dc
AK
960 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
961 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
b9668ba4 962 fi; \
0fbeb4dc 963 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
b9668ba4 964 else \
0fbeb4dc
AK
965 test -f "$(distdir)/$$file" \
966 || cp -p $$d/$$file "$(distdir)/$$file" \
b9668ba4
AK
967 || exit 1; \
968 fi; \
969 done
970check-am: all-am
971 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
972 $(MAKE) $(AM_MAKEFLAGS) check-TESTS
973check: check-am
974all-am: Makefile $(PROGRAMS)
975installdirs:
976install: install-am
977install-exec: install-exec-am
978install-data: install-data-am
979uninstall: uninstall-am
980
981install-am: all-am
982 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
983
984installcheck: installcheck-am
985install-strip:
059850b5
AK
986 if test -z '$(STRIP)'; then \
987 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
988 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
989 install; \
990 else \
991 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
992 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
993 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
994 fi
b9668ba4 995mostlyclean-generic:
0044e680
AK
996 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
997 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
998 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
b9668ba4
AK
999
1000clean-generic:
1001
1002distclean-generic:
1003 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
0fbeb4dc 1004 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
b9668ba4
AK
1005
1006maintainer-clean-generic:
1007 @echo "This command is intended for maintainers to use"
1008 @echo "it deletes files that may require special tools to rebuild."
1009clean: clean-am
1010
1011clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1012 clean-noinstPROGRAMS mostlyclean-am
1013
1014distclean: distclean-am
1015 -rm -rf ./$(DEPDIR)
1016 -rm -f Makefile
1017distclean-am: clean-am distclean-compile distclean-generic \
5c706339 1018 distclean-tags
b9668ba4
AK
1019
1020dvi: dvi-am
1021
1022dvi-am:
1023
1024html: html-am
1025
0fbeb4dc
AK
1026html-am:
1027
b9668ba4
AK
1028info: info-am
1029
1030info-am:
1031
1032install-data-am:
1033
5c706339
AK
1034install-dvi: install-dvi-am
1035
0fbeb4dc
AK
1036install-dvi-am:
1037
b9668ba4
AK
1038install-exec-am:
1039
5c706339
AK
1040install-html: install-html-am
1041
0fbeb4dc
AK
1042install-html-am:
1043
b9668ba4
AK
1044install-info: install-info-am
1045
0fbeb4dc
AK
1046install-info-am:
1047
b9668ba4
AK
1048install-man:
1049
5c706339
AK
1050install-pdf: install-pdf-am
1051
0fbeb4dc
AK
1052install-pdf-am:
1053
5c706339
AK
1054install-ps: install-ps-am
1055
0fbeb4dc
AK
1056install-ps-am:
1057
b9668ba4
AK
1058installcheck-am:
1059
1060maintainer-clean: maintainer-clean-am
1061 -rm -rf ./$(DEPDIR)
1062 -rm -f Makefile
1063maintainer-clean-am: distclean-am maintainer-clean-generic
1064
1065mostlyclean: mostlyclean-am
1066
1067mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1068 mostlyclean-libtool
1069
1070pdf: pdf-am
1071
1072pdf-am:
1073
1074ps: ps-am
1075
1076ps-am:
1077
5c706339
AK
1078uninstall-am:
1079
0fbeb4dc 1080.MAKE: check-am install-am install-strip
b9668ba4 1081
0044e680 1082.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
b9668ba4 1083 clean-checkPROGRAMS clean-generic clean-libtool \
0044e680
AK
1084 clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
1085 distclean-compile distclean-generic distclean-libtool \
1086 distclean-tags distdir dvi dvi-am html html-am info info-am \
1087 install install-am install-data install-data-am install-dvi \
1088 install-dvi-am install-exec install-exec-am install-html \
1089 install-html-am install-info install-info-am install-man \
1090 install-pdf install-pdf-am install-ps install-ps-am \
1091 install-strip installcheck installcheck-am installdirs \
1092 maintainer-clean maintainer-clean-generic mostlyclean \
1093 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1094 pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1095 uninstall-am
b9668ba4 1096
c45550e5
AK
1097.PRECIOUS: Makefile
1098
0fbeb4dc 1099
b9668ba4
AK
1100# Tell versions [3.59,3.63) of GNU make to not export all variables.
1101# Otherwise a system limit (for SysV at least) may be exceeded.
1102.NOEXPORT:
This page took 0.20219 seconds and 5 git commands to generate.